XmlGroupValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.resourceImport.XmlGroupValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.resourceImport
Class XmlGroupValue

    java.lang.Object
      org.hyperic.hq.bizapp.shared.resourceImport.XmlGroupValue

All Implemented Interfaces:
  java.io.Serializable

    public class XmlGroupValue

extends java.lang.Object

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `N_APP`
`static java.lang.String` | `N_GROUP`
`static java.lang.String` | `N_MIXED`
`static java.lang.String` | `N_PLATFORM`
`static java.lang.String` | `N_SERVER`
`static java.lang.String` | `N_SERVICE`
`static java.lang.String` | `T_ADHOC`
`static java.lang.String` | `T_COMPAT`

Method Summary
`void` | `addMember(XmlGroupMemberValue member)`
`java.lang.String` | `getCapName()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLocation()`
`java.util.List` | `getMembers()`
`java.lang.String` | `getMemberType()`
`java.lang.String` | `getMemberTypeName()`
`java.lang.String` | `getName()`
`static java.lang.String[]` | `getOptionalAttributes()`
`static java.lang.String[]` | `getRequiredAttributes()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### T_COMPAT

    public static final java.lang.String T_COMPAT

See Also:
  Constant Field Values

### T_ADHOC

    public static final java.lang.String T_ADHOC

See Also:
  Constant Field Values

### N_PLATFORM

    public static final java.lang.String N_PLATFORM

See Also:
  Constant Field Values

### N_SERVER

    public static final java.lang.String N_SERVER

See Also:
  Constant Field Values

### N_SERVICE

    public static final java.lang.String N_SERVICE

See Also:
  Constant Field Values

### N_GROUP

    public static final java.lang.String N_GROUP

See Also:
  Constant Field Values

### N_APP

    public static final java.lang.String N_APP

See Also:
  Constant Field Values

### N_MIXED

    public static final java.lang.String N_MIXED

See Also:
  Constant Field Values

Method Detail

### getRequiredAttributes

    public static java.lang.String[] getRequiredAttributes()

### getOptionalAttributes

    public static java.lang.String[] getOptionalAttributes()

### getName

    public java.lang.String getName()

### getCapName

    public java.lang.String getCapName()

### getType

    public java.lang.String getType()

### getMemberType

    public java.lang.String getMemberType()

### getMemberTypeName

    public java.lang.String getMemberTypeName()

### getDescription

    public java.lang.String getDescription()

### getLocation

    public java.lang.String getLocation()

### addMember

    public void addMember(XmlGroupMemberValue member)

### getMembers

    public java.util.List getMembers()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.